package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.report.CourseTargetWeightDto;
import com.qmth.distributed.print.business.bean.dto.report.DimensionDto;
import com.qmth.distributed.print.business.bean.dto.report.ReportExamStudentDto;
import com.qmth.distributed.print.business.bean.dto.report.UsualScoreOverviewDto;
import com.qmth.distributed.print.business.bean.result.FinalScoreResult;
import com.qmth.distributed.print.business.bean.result.report.PaperStructResult;
import com.qmth.distributed.print.business.entity.TRBasicInfo;
import com.qmth.distributed.print.business.entity.TRExamStudent;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 报告考生表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2024-02-18
 */
public interface TRExamStudentService extends IService<TRExamStudent> {

    /**
     * 获取考生详细报告
     *
     * @param trBasicInfo
     * @param examStudentList
     * @param finalScoreExamStudentDimensionMap
     * @param finalScoreResultMap
     * @param paperStructResultMap
     * @param targetMap
     * @param finalScoreExamStudentDimensionSumMap
     * @param usualScoreOverviewDtoMap
     * @return
     */
    public List<ReportExamStudentDto> getExamStudentReportDetail(TRBasicInfo trBasicInfo, List<ReportExamStudentDto> examStudentList,
                                                                 Map<String, Map<Long, Map<Long, DimensionDto>>> finalScoreExamStudentDimensionMap,
                                                                 Map<String, FinalScoreResult> finalScoreResultMap,
                                                                 Map<String, PaperStructResult> paperStructResultMap,
                                                                 Map<Long, CourseTargetWeightDto> targetMap,
                                                                 Map<Long, Map<Long, DimensionDto>> finalScoreExamStudentDimensionSumMap,
                                                                 Map<String, UsualScoreOverviewDto> usualScoreOverviewDtoMap);
}
